package edu.unl.consystlab.sudoku;
import java.awt.Graphics;
import javax.swing.JFrame;


/**
 * @author Angelo
 *
 */
public class BFrame extends JFrame
{
	private boolean isFirstRun = true;
	
	public BFrame(String title)
	{
		super(title);
	}
	
	// fix bug - see http://forums.java.sun.com/thread.jspa?threadID=576390&messageID=2909099
	public void paint(Graphics g)
	{
		   super.paint(g);
		   if (isFirstRun){
			   this.setVisible(true);
			   this.toFront();
			   isFirstRun = false;
		   }
	} // paint()
}
